Bug 14941 - Subfield defaults: Add information about substitutable values
Summary: Subfield defaults: Add information about substitutable values
Status: RESOLVED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-02 08:06 UTC by Marc Véron
Modified: 2020-11-17 20:06 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-10-02 08:06:44 UTC
If you add 'user', 'YYYY, 'MM' and 'DD' as the default value for a subfield in the
bibliographic frameworks, the field will be automatically filled with
the data as appropriate.

However, there is no information about this feature (hint in form, help page, manual).

Related Bugs:

- Bug 10294 - when the word "user" is included in default in framework, surname of login creating record inserted
- Bug 7045 - Default-value substitution inconsistent
Comment 1 Marc Véron 2016-02-19 16:22:35 UTC
Changed to 'Documentation'
Comment 2 Nicole C. Engard 2016-05-12 15:44:55 UTC
I had this documented and removed it because it didn't seem to work can you confirm that it works now - I know that 'user' didn't work last time I tried it.

Nicole
Comment 3 Katrin Fischer 2017-09-12 13:36:20 UTC
Verified - not listed in the manual.
Comment 4 Marie-Luce Laflamme 2020-07-24 20:19:11 UTC
As anyone try it this since it was fixed? The 20.05 manual doesn't mention this. Should we add it to the manual?
Comment 5 Katrin Fischer 2020-07-24 22:04:42 UTC
(In reply to Marie-Luce Laflamme from comment #4)
> As anyone try it this since it was fixed? The 20.05 manual doesn't mention
> this. Should we add it to the manual?

yes, it should still be added. See also: bug 24134
Comment 6 Katrin Fischer 2020-08-30 20:01:07 UTC
Submitted a merge request to the manual:
https://gitlab.com/koha-community/koha-manual/-/merge_requests/388